package com.kuyuntech.cofarcooking.device.sdk.util.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.devmode.airfryer.*;
import com.kuyuntech.cofarcooking.device.sdk.devmode.core.*;

import java.util.HashMap;
import java.util.Map;

public class DevModeUtils {

    public static Map<String, BaseDevMode> allModes(){

        Map<String,BaseDevMode> data = new HashMap<>();

        data.put(WorkModes.WEIGHT, new Weight());
        data.put(WorkModes.BOIL_WATER, new Kettle());
        data.put(WorkModes.KETTLE, new Kettle());
        data.put(WorkModes.TURBO,new Turbo());
        data.put(WorkModes.FOOD_PROCESSOR,new FoodProcessor());
        data.put(WorkModes.ADAPTED_COOKING,new AdaptedCooking());
        data.put(WorkModes.KNEAD_TOUGH,new Knead());
        data.put(WorkModes.KNEAD,new Knead());
        data.put(WorkModes.STEAM,new Steam());
        data.put(WorkModes.SLOW_COOKING,new SlowCooking());
        data.put(WorkModes.SLOW_COOK,new SlowCooking());
        data.put(WorkModes.DESCRIPTION,new Description());
        data.put(WorkModes.BROWN,new Brown());
        data.put(WorkModes.COOK_EGGS,new CookEggs());
        data.put(WorkModes.EMULSIFY,new Mulsify());
        data.put(WorkModes.SOVIS_VIDE,new SovsVide());
        data.put(WorkModes.PUREE,new  Puree());
        data.put(WorkModes.SMOOTHIE,new Smoothie());
        data.put(WorkModes.RICE_COOKING,new RiceCooking());
        data.put(WorkModes.AF_DIY,new AfDiy());
        data.put(WorkModes.AF_AIR_FRYER,new AfAirFryer());
        data.put(WorkModes.AF_BAKE,new AfBake());
        data.put(WorkModes.AF_DRUMSTICKS,new AfDrumsticks());
        data.put(WorkModes.AF_EGG_TART,new AfEggTart());
        data.put(WorkModes.AF_PIZZA,new AfPizza());
        data.put(WorkModes.AF_DEHYDRATE,new AfDehydrate());
        data.put(WorkModes.AF_REHEAT,new AfReheat());
        data.put(WorkModes.AF_CHICKEN_WING,new AfChickenWing());
        data.put(WorkModes.AF_STEAK,new AfSteak());
        data.put(WorkModes.AF_SEA_FOOD,new AfSeaFood());
        data.put(WorkModes.AF_VEGETABLE,new AfVegctable());
        data.put(WorkModes.AF_MUTTON_CHOP,new AfMuttonChop());

        return data;

    }

}
